%define name ksynaptics
%define version 0.3.2
%define release %mkrel 1

Summary:	KDE configuration for synaptics module
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Hardware
URL:		http://kde-apps.org/content/show.php?content=17286
BuildRequires:	kdelibs-devel >= 3.0
BuildRequires:	qt3-devel >= 3.0
Buildrequires:	synaptics-devel
Requires:  	kdebase-progs >= 3.0
BuildRoot:	%_tmppath/%{name}-%{version}-%{release}-buildroot-%(id -u -n)
Source0:	%{name}-%{version}.tar.bz2

%define __libtoolize /bin/true

%description
KSynaptics (previously QSynaptics) is a Qt/KDE based configuration
utility for the synaptics touchpad drivers. It uses the
synclient/syndaemon tools delivered by the X11 driver, which is
available under http://w1.894.telia.com/~u89404340/touchpad/

%prep 
%setup -q

%build
%configure2_5x --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang kcm%{name}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "System/Configuration/KDE/Peripherals" $RPM_BUILD_ROOT%{_datadir}/applications/kde/ksynaptics.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%if %mdkversion > 200600
%{update_desktop_database}
%update_icon_cache hicolor
%endif


%postun
%{clean_menus}
%if %mdkversion > 200600
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files -f kcm%{name}.lang
%defattr(-,root,root,755)
%doc AUTHORS COPYING INSTALL README TODO
%{_bindir}/syndock
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/kde3/*
%{_datadir}/autostart/*.desktop
%{_datadir}/applications/kde/*.desktop
%{_datadir}/config.kcfg/*.kcfg
%{_iconsdir}/hicolor/*/apps/*.png

%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}



%changelog
* Sat Feb 10 2007 Colin Guthrie <cguthrie@mandriva.org> 0.3.2-1mdv2007.0
+ Revision: 118698
- New Version: 0.3.2

* Wed Jan 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.3.1-2mdv2007.1
+ Revision: 109689
- Rebuild against new libsynaptics

* Fri Jul 07 2006 Luca Berra <bluca@mandriva.org> 0.3.1-1mdv2007.0
+ Revision: 38455
- remove old patches
- New upstream version 0.3.1
- import ksynaptics-0.2.0-2mdk


* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 0.2.0-2mdk
- %mkrel
- fix x86_64 build

* Wed Feb 23 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-1mdk
- 0.2.0

* Tue Aug 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1-1mdk
- from Lonnie Borntreger <cooker@borntreger.com> :
	- First package
	- Create menu file for update-menus
	- Added scaled icons

